Package: org.gradle.jvm.application.scripts

## [Java] Interface ScriptGenerator

- Generates a script to start a JVM application.

  See Also:
    TemplateBasedScriptGenerator

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `generateScript(JavaAppStartScriptGenerationDetails details, Writer destination)` Generate the script.

- - ### Method Detail

    - #### public void generateScript(JavaAppStartScriptGenerationDetails details, Writer destination)

      Generate the script.

      Implementations should not close the given writer. It is the responsibility of the caller to close the stream.

      Parameters:
        `details` - the application details
        `destination` - the script destination